/*  ROSA Media Player plugin
    Julia Mineeva, Evgeniy Augin. Copyright (c) 2011 ROSA  <support@rosalab.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ROSAMPPLUGINRM_H
#define ROSAMPPLUGINRM_H

#include "rosamp-plugin.h"


class RosampPluginRm : public RosampPlugin
{
    Q_OBJECT

    Q_CLASSINFO( "MIME",
                 // RealVideo
                 "application/vnd.rn-realmedia:rm:RealMedia;"
                 "application/vnd.rn-realaudio:ra, ram:RealAudio;"
                 "video/vnd.rn-realvideo:rv:RealVideo;"
               )
public:
    RosampPluginRm(QWidget *parent = 0);
    ~RosampPluginRm();
};


#endif // ROSAMPPLUGINRM_H
